autofs 5.1.1-1ubuntu1 source package in Ubuntu

Changelog

autofs (5.1.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - autofs.upstart script
   - debian/rules: build with sssldir path
   - d/p/fix-ssslib-search.patch - parts replaced by fix-sssldir.patch
   - d/p/16group_buffer_size.patch
  * Dropped patches:
    - CVE-2014-8169-add-a-prefix-to-program-map-stdvars.patch
    - CVE-2014-8169-add-config-option-to-force-use-of-program-map-stdvars.patch
    - lp1386869-fix-cant-automount-when--host-exist

autofs (5.1.1-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Install new "/etc/autofs.conf".
  * Patchworks: dropped obsolete patches; marked forwarded patches as such.
  * Removed old "14avoid_sock_cloexec.patch" with obsolete workaround for
    old kernels.
  * Upload to unstable.

autofs (5.1.0-1) experimental; urgency=low

  [ Timo Aaltonen <email address hidden> ]
  * Add support for sssd backend (Closes: #762843).
    - control: Add sssd-common to build-depends.
    - rules, fix-sssldir.diff: Check the multiarch lib path when searching
      for libsss_autofs.so

  [ Salvatore Bonaccorso <email address hidden> ]
  * Scan for upstream tarballs in various formats.
    The previous watch files only looked for bz2 compressed upstream
    tarballs. Upstream switched to tar.xz and tar.gz only since 5.0.9.
    Adjust the watch file to catch new upstream versions. (Closes: #779438)

  [ Dmitry Smirnov <email address hidden> ]
  * Standards-Version to 3.9.6.
  * New upstream release [June 2014] (Closes: #779441, #741064, #743939).
  * Refreshed patches.
  * Dropped obsolete "default-autofs-remove-USE_MISC_DEVICE.patch".
  * Install native systemd service using "dh-systemd".

autofs (5.0.8-2) unstable; urgency=medium

  [ Salvatore Bonaccorso <email address hidden> ]
  * Add patches for CVE-2014-8169 (Closes: #779591).
    When a program map uses an interpreted languages like python it is
    possible to load and execute arbitray code from a user home directory.
    This is because the standard environment variables are used to locate
    and load modules when using these languages. To avoid that, a prefix to
    these environment names is added so that they aren't used for this
    purpose. The prefix used is "AUTOFS_" and is not configurable.
    Additionally a configuration option to force the use of program map
    standard environment variables is added (FORCE_STANDARD_PROGRAM_MAP_ENV).

  [ Dmitry Smirnov <email address hidden> ]
  * Refreshed other patches as needed.

 -- Chris J Arges <email address hidden>  Mon, 06 Jul 2015 14:59:51 -0500

Upload details

Uploaded by:
Chris J Arges on 2015-07-06
Uploaded to:
Wily
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
utils
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
autofs_5.1.1.orig.tar.gz 702.1 KiB 795419383b120d15699ab3b89ea0f3d029f6fb28405a83982d305c4b7b61130f
autofs_5.1.1-1ubuntu1.debian.tar.xz 17.3 KiB 85ba9874244a20ad7bbc30573b92d78945f2a5e9fb33cc1523aa12e04da0dc6f
autofs_5.1.1-1ubuntu1.dsc 2.0 KiB 0b0ab65a70642ed3e5bb67a8010274a8dea92629e8fd00d3b5e61d472d95cbfa

Available diffs

View changes file

Binary packages built by this source

autofs: No summary available for autofs in ubuntu wily.

No description available for autofs in ubuntu wily.

autofs-hesiod: No summary available for autofs-hesiod in ubuntu wily.

No description available for autofs-hesiod in ubuntu wily.

autofs-ldap: No summary available for autofs-ldap in ubuntu wily.

No description available for autofs-ldap in ubuntu wily.

autofs5: No summary available for autofs5 in ubuntu wily.

No description available for autofs5 in ubuntu wily.

autofs5-hesiod: No summary available for autofs5-hesiod in ubuntu wily.

No description available for autofs5-hesiod in ubuntu wily.

autofs5-ldap: No summary available for autofs5-ldap in ubuntu wily.

No description available for autofs5-ldap in ubuntu wily.